Skip to main content
GET
/
v1
/
sources
List Sources
curl --request GET \
  --url https://api.example.com/v1/sources
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "<string>",
      "display_name": "<string>",
      "is_active": true,
      "auth_type": "<string>",
      "documentation": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
SourceIntegrationResponse · object[]
required
meta
PaginationMeta · object
required